<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>API_Frontend Singlepage</title>
    <link rel="stylesheet" type="text/css" href="../scss/main.css" media="screen" />
    <?php include "functions.php"?>
</head>
<body><!--Das komplette Fenster incl. Hintergrund etc. -->
    <div><!--Der Inhaltsblock. Mittig zentriert soll der sein, Breite soll sich dem Bildschirm anpassen.-->
        <h1>Bibliotheksverwaltung Bücherwurm</h1>
        <div><!--Der Navigationsblock. Auf großem Bildschirm immer sichtbar, fix links. auf kleinen Bildschirmen kann der theoretisch reduziert werden.-->
            <h3>Menü</h3>
            <dl> <!-- Muss noch dahingehend angepasst werden, dass es ner bestimmten php nur den Wert ändert, anstatt die Seite zu wechseln. -->
                <form name="KatalogNav">
                    <dt>
                        <label for="choices">Katalog</label>
                    </dt>
                    <dd>                        
                        <select name="selection" id="selection" onchange="location.assign(this.value);">
                            <option></option>
                            <option value=findKatalog.htm>Finden</option>
                            <Option value="addKatalog.htm">Hinzufügen</Option>
                            <option value="changeKatalog.htm">Bearbeiten</option>
                            <option value="deleteKatalog.htm">Löschen</option>
                        </select>
                    </dd>
                    <dt>
                        <label for="choices">Inventar</label>
                    </dt>
                    <dd>
                        <select name="selection" id="selection" onchange="location.assign(this.value);">
                            <option></option>
                            <option value=findInventar.htm>Finden</option>
                            <Option value="addInventar.htm">Hinzufügen</Option>
                            <option value="deleteInventar.htm">Löschen</option>
                        </select>
                    </dd>
                    <dt>
                        <label for="choices">Verleihvorgang</label>
                    </dt>
                    <dd>
                        <select name="selection" id="selection" onchange="location.assign(this.value);">
                            <option></option>
                            <option value=findVerleih.htm>Finden</option>
                            <Option value="addVerleih.htm">Hinzufügen</Option>
                            <option value="changeVerleih.htm">Bearbeiten</option>
                        </select>
                    </dd>
                </form>
            </dl>
        </div>
        <div class="Eingabe"><!--Das wird der Inhaltsbereich. Zweigeteilt und leer.-->
            <div><!--Der Eingabebereich. Der taucht auf, sobald in der Navigation was gewählt ist. Nimmt fix die Hälfte oder 2/5 des verfügbaren Platzes ein.-->
                <?php if($selection != "")
                    include "$selection";
                ?>
            </div class="Ausgabe">
            <div><!--Der Ausgabebereich. Taucht auf, sobald im Eingabebereich ein http-request gesendet wurde. Inhalt ist der Response. Größe von Anfang an 3/5.-->
                <?php if($response !="")
                    include "$responseDoc";
                ?>
            </div>
            <div><!--Response Konsole. -->
                <textarea cols="30" rows="10" readonly style="overflow-y:scroll">
                    <?php $status?>
                </textarea>
            </div>
        </div>
    </div>
</body>
</html>